Subject: Re: bug#28695: 26.0.60; Rendering lag spikes caused by double-buffering on Linux

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Oct 2017 12:33:31 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 27 Oct 2017 02:19:28 +0300
> 
> It's really hard for me to tell. Now, I've re-ran the experiment again 
> (last time I did it with ag, now with rg) and I'm attaching the 
> "unexpanded" views of the graphs in all cases. 1 and 11 were with a 
> small window, and 2 and 22 were with a fullscreen one.
> 
> The search results for XdbeSwapBuffers were really similar to the above, 
> so I'm not including that.
> 
> Don't really see a significant difference. If I had to guess, the 
> slowdown maybe has to do with Xorg not being able to keep up, but, like, 
> in an asynchronous fashion.

I don't see anything significant here, besides the fact that GC took
some serious percentage of time.

Thanks for your efforts.